Subject: Re: bug#37202: shadowfile-tests: two failures on macOS

From: Michael Albinus <[email-masked]>
Date: Tue, 03 Sep 2019 14:12:04 +0200

Stefan Kangas <[email-masked]> writes:

Hi Stefan,

>> After adding some trace messages (intended for you, originally), the
>> error happens also to me. Looks like some race conditions. I still don't
>> understand what happens, but I'm able now to debug myself.
>
> Thanks.  As usual, let me know if you would like me to run any tests.

I've pushed some changes to master, which fix the problem at least for
me. Major change is to improve the cleanup of internal shadowfile
variables between the tests.

Could you, pls, check? In case it still fails, pls set shadow-debug to t
(in shadowfile-tests.el, line 67), and rerun the test.

> Best regards,
> Stefan Kangas

Best regards, Michael.